### Class method

# Gtk WidgetClass set_activate_signal_from_name

#### Declaration [src]

    void
    gtk_widget_class_set_activate_signal_from_name (
      WidgetClass* self
    )

#### Description [src]

Sets the `GtkWidgetClass.activate_signal` field with the signal id for the given `signal_name`.

The signal will be emitted when calling gtk_widget_activate().

The `signal_name` of `widget_type` must have been registered with g_signal_new() or g_signal_newv() before calling this function.